stralloc_catulong0(3)

NAME
stralloc_catulong0 - append an integer to a stralloc

SYNTAX
#include <libowfat/stralloc.h>

int stralloc_catulong0(stralloc* sa, unsigned long int in, size_t n);

DESCRIPTION
stralloc_catulong0 converts in to a string using fmt_ulong0 and appends the result to sa, allocating memory as necessary.

If there was a memory allocation failure, stralloc_catulong0 returns 0, else 1.

RETURN VALUE
1 for success, 0 on memory allocation failure.

SEE ALSO
fmt_ulong0(3)